{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZSAMPLE0021",
    "mOSFilePath" : "pslanguageres/Auto2070",
    "rTMOSFilePath" : "pslanguageres/Auto2070"
  },
  "caption" : " 实体工作流动态启动视图",
  "codeName" : "IBIZSample0021Usr1116491232WFDynaStartView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0021Usr1116491232WFDynaStartView.json",
  "funcViewMode" : "WFSTARTVIEW",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0021Usr1116491232WFDynaStartView",
  "name" : "IBIZSample0021Usr1116491232WFDynaStartView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSControls" : [ {
    "codeName" : "Start001",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021/PSFORMS/Start001.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "logicName" : "流程启动",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeform_editforms/Start001",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "WFSTART",
        "actionType" : "WFACTION",
        "name" : "WFSTART",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "WFSUBMIT",
        "actionType" : "WFACTION",
        "name" : "WFSUBMIT",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "流程操作表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021NAME",
        "codeName" : "IBIZSample0021Name"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "deptheads",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "DEPTHEADS",
        "codeName" : "DeptHeads"
      }
    }, {
      "id" : "deptheadsid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "DEPTHEADSID",
        "codeName" : "DeptHeadsId"
      }
    }, {
      "id" : "ibizsample0021id",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "订单基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/group1",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "caption" : "部门领导",
          "codeName" : "deptheads",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/deptheads",
          "name" : "deptheads",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "DEPTHEADS",
            "codeName" : "DeptHeads"
          },
          "getPSEditor" : {
            "editorParams" : {
              "multiple" : "false",
              "url" : "/sysorganizations/${selected-orgid}/sysemployees/picker",
              "filter" : "srforgid",
              "treeurl" : "/sysorganizations/${orgid}/suborg/picker",
              "AC" : "TRUE",
              "PICKUPVIEW" : "TRUE"
            },
            "editorStyle" : "ALLEMPSELECT",
            "editorType" : "PICKER",
            "handlerType" : "PickupText",
            "name" : "deptheads",
            "valueItemName" : "deptheadsid",
            "enableAC" : true,
            "enablePickupView" : true,
            "forceSelection" : true,
            "showTrigger" : true,
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/deptheads",
          "valueItemName" : "deptheadsid",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "部门领导",
          "codeName" : "deptheadsid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/deptheadsid",
          "name" : "deptheadsid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "DEPTHEADSID",
            "codeName" : "DeptHeadsId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "deptheadsid"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/deptheadsid",
          "allowEmpty" : true,
          "hidden" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
        "infoGroupMode" : false,
        "showCaption" : false
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0021Usr1116491232WFDynaStartView/psappviewctrls/form",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "getWFStartPSControlAction" : {
      "modelref" : true,
      "id" : "WFSTART"
    },
    "getWFSubmitPSControlAction" : {
      "modelref" : true,
      "id" : "WFSUBMIT"
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "E0FF925E-F2F5-4E19-9974-63CE5B13055F",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "RefuseForm",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021/PSFORMS/RefuseForm.json",
    "formFuncMode" : "WFACTION",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "logicName" : "部门领导审批不通过操作表单",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeform_editforms/RefuseForm",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "WFSTART",
        "actionType" : "WFACTION",
        "name" : "WFSTART",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "WFSUBMIT",
        "actionType" : "WFACTION",
        "name" : "WFSUBMIT",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "流程操作表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "wfform_refuseform"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021NAME",
        "codeName" : "IBIZSample0021Name"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "returnopinions",
      "dataType" : 25
    }, {
      "id" : "ibizsample0021id",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "驳回意见",
        "codeName" : "returnopinions",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemHeight" : 200.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/returnopinions",
        "name" : "returnopinions",
        "noPrivDisplayMode" : 1,
        "getPSEditor" : {
          "editorHeight" : 200.0,
          "editorParams" : {
            "HEIGHT" : "200"
          },
          "editorType" : "TEXTAREA_10",
          "name" : "returnopinions",
          "showMaxLength" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/returnopinions",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0021Usr1116491232WFDynaStartView/psappviewctrls/wfform_refuseform",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "getWFStartPSControlAction" : {
      "modelref" : true,
      "id" : "WFSTART"
    },
    "getWFSubmitPSControlAction" : {
      "modelref" : true,
      "id" : "WFSUBMIT"
    },
    "noTabHeader" : true,
    "name" : "wfform_refuseform",
    "modelid" : "d8e8d67fdd1f77f100d2c4aa5e0ccaef",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "Start001",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021/PSFORMS/Start001.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "logicName" : "流程启动",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/psdeform_editforms/Start001",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "WFSTART",
        "actionType" : "WFACTION",
        "name" : "WFSTART",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      }, {
        "actionName" : "WFSUBMIT",
        "actionType" : "WFACTION",
        "name" : "WFSUBMIT",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "流程操作表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "wfform_start001"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021NAME",
        "codeName" : "IBIZSample0021Name"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "deptheads",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "DEPTHEADS",
        "codeName" : "DeptHeads"
      }
    }, {
      "id" : "deptheadsid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "DEPTHEADSID",
        "codeName" : "DeptHeadsId"
      }
    }, {
      "id" : "ibizsample0021id",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0021ID",
        "codeName" : "IBIZSample0021Id"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "订单基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/group1",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "caption" : "部门领导",
          "codeName" : "deptheads",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/deptheads",
          "name" : "deptheads",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "DEPTHEADS",
            "codeName" : "DeptHeads"
          },
          "getPSEditor" : {
            "editorParams" : {
              "multiple" : "false",
              "url" : "/sysorganizations/${selected-orgid}/sysemployees/picker",
              "filter" : "srforgid",
              "treeurl" : "/sysorganizations/${orgid}/suborg/picker",
              "AC" : "TRUE",
              "PICKUPVIEW" : "TRUE"
            },
            "editorStyle" : "ALLEMPSELECT",
            "editorType" : "PICKER",
            "handlerType" : "PickupText",
            "name" : "deptheads",
            "valueItemName" : "deptheadsid",
            "enableAC" : true,
            "enablePickupView" : true,
            "forceSelection" : true,
            "showTrigger" : true,
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/deptheads",
          "valueItemName" : "deptheadsid",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "部门领导",
          "codeName" : "deptheadsid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/deptheadsid",
          "name" : "deptheadsid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "DEPTHEADSID",
            "codeName" : "DeptHeadsId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "deptheadsid"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/deptheadsid",
          "allowEmpty" : true,
          "hidden" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
        "infoGroupMode" : false,
        "showCaption" : false
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0021Usr1116491232WFDynaStartView/psappviewctrls/wfform_start001",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "getWFStartPSControlAction" : {
      "modelref" : true,
      "id" : "WFSTART"
    },
    "getWFSubmitPSControlAction" : {
      "modelref" : true,
      "id" : "WFSUBMIT"
    },
    "noTabHeader" : true,
    "name" : "wfform_start001",
    "modelid" : "E0FF925E-F2F5-4E19-9974-63CE5B13055F",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "Usr1116491232WFDynaStartView",
  "getPSDEViewId" : "B1BE1792-45B0-4102-AA0C-F7EE0F971A5D",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEWFDYNASTARTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSAMPLE0021/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0021.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0021Usr1116491232WFDynaStartView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getPSWFVersion" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ACT/PSWFVERSIONS/ACTv2.json"
  },
  "getPSWorkflow" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ACT.json"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZSample0021Usr1116491232WFDynaStartView",
  "title" : " 实体工作流动态启动视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEWFDYNASTARTVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "enableWF" : true,
  "showDataInfoBar" : true,
  "wFIAMode" : true,
  "modelid" : "8F01A331-F098-4D05-8583-B6DA5574B43C",
  "modeltype" : "PSAPPDEVIEW"
}